#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1)
%define		scanner	scanner
#-----------------------------------------------------------------------------
Name		:	sane-backends
Version		:	1.1.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Scanner access software
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and GPLv2+ with exceptions and Public Domain
URL		:	https://gitlab.com/sane-project/backends/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	avahi
BuildRequires	:	cups-devel
BuildRequires	:	fig2dev
BuildRequires	:	ghostscript
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libtiff
BuildRequires	:	libusb
BuildRequires	:	net-snmp-devel

Requires	:	shadow
#-----------------------------------------------------------------------------
%description
Scanner Access Now Easy (SANE) is a universal scanner
interface. The SANE application programming interface (API)
provides standardized access to any raster image scanner
hardware (flatbed scanner, hand-held scanner, video and
still cameras, frame-grabbers, etc.).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_sysconfdir}/%{sname}.d/*.conf
%{_sysconfdir}/udev/rules.d/*.rules
%{_bindir}/gamma4scanimage
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/umax_pp
%{_libdir}/lib%{sname}.so.*
%{_libdir}/%{sname}/lib%{sname}-*.so*
%{_sbindir}/%{sname}d
%{_defaultdocdir}/%{name}-%{version}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%attr (0775,root,%{scanner}) %dir %{_var}/lock/%{sname}
%{_mandir}/man1/gamma4scanimage.1.gz
%{_mandir}/man1/scanimage.1.gz
%{_mandir}/man1/sane-find-scanner.1.gz
%{_mandir}/man5/%{sname}-*.5.gz
%{_mandir}/man7/%{sname}.7.gz
%{_mandir}/man8/%{sname}d.8.gz

#-----------------------------------------------------------------------------
%pre
if [ "$1" = 1 ]; then
  if [ ! $(getent group %{scanner}) ]; then
    /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{scanner}
    fi
  fi

%preun
if [ "$1" = 0 ]; then
  /usr/sbin/groupdel %{scanner}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	SANE development toolkit

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
This package contains libraries and header files for
writing Scanner Access Now Easy (SANE) modules.

#-----------------------------------------------------------------------------
%files			devel
%{_bindir}/sane-config
%{_includedir}/%{sname}/%{sname}*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{sname}.so
%{_mandir}/man1/sane-config.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-group=%{scanner}				\
	--with-snmp					\
	--with-usb					\
	--with-systemd=no				\
	--with-avahi					\
	--disable-locking				\
	--disable-rpath					\
	--enable-pthread				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p}						\
  %{buildroot}%{_sysconfdir}/udev/rules.d		\
  %{buildroot}%{_var}/lock/%{sname}
install -m 644 -v					\
  tools/udev/libsane.rules			 	\
  %{buildroot}%{_sysconfdir}/udev/rules.d/65-scanner.rules

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
